%global srcname epam


Name:       erlang-%{srcname}
Version:    1.0.4
Release:    3%{?dist}

Summary:    Library for ejabberd for PAM authentication support
License:    ASL 2.0
URL:        https://github.com/processone/%{srcname}/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Load epam from this package rather than from ejabberd.
# See https://bugzilla.redhat.com/show_bug.cgi?id=1337216 and
# https://github.com/processone/epam/issues/4
Patch0:     0001-Load-epam-from-the-package-s-own-path-rather-than-ej.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: pam-devel

Provides: erlang-p1_pam = %{version}-%{release}
Obsoletes: erlang-p1_pam < 1.0.3-4%{?dist}


%description
An Erlang library for ejabberd that helps with PAM authentication.


%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1


%build
autoreconf -ivf

%configure

%{erlang_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin
install -pm755 priv/bin/%{srcname} $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin/


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}/


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4 (#1560804).
- https://github.com/processone/epam/blob/1.0.4/CHANGELOG.md
- Provide a debug package.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 28 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-4
- Bump the obsoletes statement on p1_pam to -4 to account for two mass rebuilds in that package
  (#1506440).

* Sun Sep 24 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-2
- Initial release.
